<template>
  <div class="news-ticker">
    <div class="scroll-container" ref="scrollContainer">
      <div v-for="item in newsItems" :key="item.id" class="news-item">
        {{ item.title }}
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      scrollPosition: 0,
      scrollSpeed: 0.1,
      intervalId: null
    };
  },
  computed: {
    newsItems() {
      // Generate or fetch news items with the desired information
      return [
        { id: 1, title: 'Breaking news item 1' },
        { id: 2, title: 'Breaking news item 2' },
        { id: 3, title: 'Breaking news item 3' },
        { id: 4, title: 'Breaking news item 4' },
        { id: 5, title: 'Breaking news item 5' },
        { id: 6, title: 'Breaking news item 6' },
        { id: 7, title: 'Breaking news item 7' },
      ];
    }
  },
  mounted() {
    this.intervalId = setInterval(() => {
      this.scrollPosition += this.scrollSpeed;
      this.$refs.scrollContainer.scrollLeft = this.scrollPosition;
      if (this.scrollPosition >= this.$refs.scrollContainer.scrollWidth - this.$refs.scrollContainer.clientWidth) {
        this.scrollPosition = 0;
      }
    }, 10);
  },
  beforeUnmount() {
    clearInterval(this.intervalId);
  }
};
</script>

<style scoped>
.news-ticker {
  height: 50px;
}

.scroll-container {
  height: 100%;
  overflow-x: hidden;
  white-space: nowrap;
}

.news-item {
  display: inline-block;
  padding: 0 10px;
  font-size: 18px;
  font-weight: bold;
}
</style>
